/// <reference types="node" />
import { ExtendableError } from './errors';
import { IConnection, IConnectEvent, IConnectionManager } from './types';
export declare class ConnectionNotFoundError extends ExtendableError {
}
declare type Options = {
    connectionsTable?: string;
};
declare class MemoryConnectionManager implements IConnectionManager {
    private connectionsTable;
    private db;
    constructor({ connectionsTable }?: Options);
    hydrateConnection: (connectionId: string) => Promise<IConnection>;
    registerConnection: ({ connectionId, endpoint, }: IConnectEvent) => Promise<IConnection>;
    sendToConnection: (connection: IConnection, payload: string | Buffer) => Promise<void>;
    unregisterConnection: (connection: IConnection) => Promise<void>;
}
export { MemoryConnectionManager };
export default MemoryConnectionManager;
