"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_sdk_1 = require("aws-sdk");
class MemoryEventStore {
    constructor() {
        this.publish = async (event, topic) => {
            var params = {
                Message: JSON.stringify(event) /* required */,
                TopicArn: topic,
            };
            console.log('🌟 pushing SNS:', params);
            try {
                await this.sns.publish(params).promise();
            }
            catch (err) {
                console.log('err', err);
            }
            console.log('🌼 SNS pushed!');
        };
        this.sns = new aws_sdk_1.SNS();
    }
}
exports.MemoryEventStore = MemoryEventStore;
exports.default = MemoryEventStore;
