import { IEventStore, SubcribeResolveFn } from './types';
declare type Options = {
    eventStore: IEventStore;
    topic: string;
};
declare class PubSub {
    private eventStore;
    private topic;
    constructor({ eventStore, topic }: Options);
    subscribe: (eventNames: string | string[]) => SubcribeResolveFn;
    /**
     * Notice that this propagates event through storage
     * So you should not expect to fire in same process
     */
    publish: (eventName: string, payload: any) => Promise<void>;
}
export { PubSub };
export default PubSub;
